Class UmlBaseStateAction

Declaration :

- C++ : class UmlBaseStateAction : public UmlItem
- Java : abstract class UmlBaseStateAction extends UmlItem

Directly inherited by : UmlStateAction

Artifact : UmlBaseStateAction

Operation create

returns a new state action created under 'parent'
In case it cannot be created ('parent' cannot contain it etc ...)
return 0 in C++ and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlState) : UmlStateAction, exceptions : RuntimeException
- C++ : public: static UmlStateAction * create(UmlState * parent)
- Java : public static UmlStateAction create(UmlState parent) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseStateAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseStateAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseStateAction(void * id, const QCString & s) : UmlItem(id, s)
- Java : protected UmlBaseStateAction(long id, String s)

Operation expression

return the expression in OCL

Declaration :

- Uml : + expression() : string
- C++ : public: const QCString & expression()
- Java : public String expression()

Operation set_Expression

set the expression in OCL
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Expression(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Expression(const char * s)
- Java : public void set_Expression(String s) throws RuntimeException

Operation cppExpression

return the expression in C++

Declaration :

- Uml : + cppExpression() : string
- C++ : public: const QCString & cppExpression()
- Java : public String cppExpression()

Operation set_CppExpression

set the expression in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppExpression(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppExpression(const char * s)
- Java : public void set_CppExpression(String s) throws RuntimeException

Operation javaExpression

return the expression in Java

Declaration :

- Uml : + javaExpression() : string
- C++ : public: const QCString & javaExpression()
- Java : public String javaExpression()

Operation set_JavaExpression

set the expression in Java
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaExpression(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaExpression(const char * s)
- Java : public void set_JavaExpression(String s) throws RuntimeException

Operation unload

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Attribut _uml

Declaration :

- Uml : - _uml : string
- C++ : private: QCString _uml
- Java : private String _uml

Attribut _cpp

Declaration :

- Uml : - _cpp : string
- C++ : private: QCString _cpp
- Java : private String _cpp

Attribut _java

Declaration :

- Uml : - _java : string
- C++ : private: QCString _java
- Java : private String _java

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

All public operations : apply , children , childrenVisible , cppExpression , create , defined_ , deleteIt , description , expression , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaExpression , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_CppExpression , set_Description , set_Expression , set_isMarked , set_JavaExpression , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload